/[gentoo-x86]/sys-fs/udev/udev-187-r3.ebuild
Gentoo

Diff of /sys-fs/udev/udev-187-r3.ebuild

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.3 Revision 1.4
1# Copyright 1999-2012 Gentoo Foundation 1# Copyright 1999-2012 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/Attic/udev-187-r3.ebuild,v 1.3 2012/08/11 17:03:29 ssuominen Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/Attic/udev-187-r3.ebuild,v 1.4 2012/08/13 16:05:15 ssuominen Exp $
4 4
5EAPI=4 5EAPI=4
6 6
7KV_min=2.6.39 7KV_min=2.6.39
8 8
66 !<sys-kernel/genkernel-3.4.25 66 !<sys-kernel/genkernel-3.4.25
67 !<sys-apps/systemd-188" 67 !<sys-apps/systemd-188"
68 68
69S="${WORKDIR}/systemd-${PV}" 69S="${WORKDIR}/systemd-${PV}"
70 70
71check_KV() 71udev_check_KV()
72{ 72{
73 if kernel_is lt ${KV_min//./ } 73 if kernel_is lt ${KV_min//./ }
74 then 74 then
75 return 1 75 return 1
76 fi 76 fi
98 CONFIG_CHECK="~DEVTMPFS" 98 CONFIG_CHECK="~DEVTMPFS"
99 ERROR_DEVTMPFS="DEVTMPFS is not set in this kernel. Udev will not run." 99 ERROR_DEVTMPFS="DEVTMPFS is not set in this kernel. Udev will not run."
100 100
101 linux-info_pkg_setup 101 linux-info_pkg_setup
102 102
103 if ! check_KV 103 if ! udev_check_KV
104 then 104 then
105 eerror "Your kernel version (${KV_FULL}) is too old to run ${P}" 105 eerror "Your kernel version (${KV_FULL}) is too old to run ${P}"
106 eerror "It must be at least ${KV_min}!" 106 eerror "It must be at least ${KV_min}!"
107 fi 107 fi
108 108
109 KV_FULL_SRC=${KV_FULL} 109 KV_FULL_SRC=${KV_FULL}
110 get_running_version 110 get_running_version
111 if ! check_KV 111 if ! udev_check_KV
112 then 112 then
113 eerror 113 eerror
114 eerror "Your running kernel version (${KV_FULL}) is too old" 114 eerror "Your running kernel version (${KV_FULL}) is too old"
115 eerror "for this version of udev." 115 eerror "for this version of udev."
116 eerror "You must upgrade your kernel or downgrade udev." 116 eerror "You must upgrade your kernel or downgrade udev."

Legend:
Removed from v.1.3  
changed lines
  Added in v.1.4

  ViewVC Help
Powered by ViewVC 1.1.20